﻿@model ContosoUniversity.ViewModels.ThongtinsucoViewModel
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}
@using PagedList.Mvc;
@{
    int CXL = (int)ContosoUniversity.Common.TrangThaiXuLy.CXL;
    int DHT = (int)ContosoUniversity.Common.TrangThaiXuLy.DHT;
    int DSC = (int)ContosoUniversity.Common.TrangThaiXuLy.DSC;
    int KH = (int)ContosoUniversity.Common.TrangThaiXuLy.KH;


}
<head>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"
            integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
            crossorigin="anonymous"></script>
    <script src="https://kit.fontawesome.com/b4077a95f0.js"
            crossorigin="anonymous"></script>
    <link rel="stylesheet prefetch" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/locales/bootstrap-datepicker.vi.min.js"></script>
</head>

<style>
    .table_danhsach td:last-child {
        width: 135px;
    }

    fieldset {
        /*display: flow;*/
        display: flow-root;
        margin-top: 10px;
        margin-bottom: 10px;
        margin-inline-start: 5px;
        margin-inline-end: 5px;
        padding-block-start: 0.35em;
        padding-inline-start: 0.75em;
        padding-inline-end: 0.75em;
        padding-block-end: 0.35em;
        min-inline-size: min-content;
        border-width: 2px;
        border-style: groove;
        border-color: rgb(192, 192, 192);
        border-image: initial;
        border-radius: 10px;
    }

        fieldset .p2 {
            background-color: rgb(230, 240, 250);
            margin-top: 25px;
            border-width: 1px;
            border-radius: 3px;
            border-style: solid;
            border-color: rgb(0, 0, 0);
            display: grid;
        }

    .control-label {
        padding-right: 2px;
        padding-left: 5px;
    }

    label.control-label.required::after {
        content: " *";
        color: red;
        font-weight: bold;
        font-size: 130%;
    }

    @@media screen and (min-width: 720px) {
        legend {
            width: auto;
            margin-bottom: auto;
            margin-right: 20px;
            border-bottom: none;
        }

        .btn.btn-primary.btn-lg.gradient {
            margin-top: 23px;
        }

        input[type=text], select, input[type=date] {
            width: 100%;
            padding: 5px 5px;
            margin: 0px 0px;
            display: inline-block;
            border: 1px solid #ccc;
            border-radius: 6px;
            box-sizing: border-box;
        }

        .form-group {
            margin: auto;
            margin-top: 4px;
            margin-bottom: 4px;
        }

        .form-horizontal .form-group {
            margin-left: 0px;
        }
    }
    /*trạng thái*/
    .status {
        font-size: 30px;
        margin: 2px 2px 0 0;
        display: inline-block;
        vertical-align: middle;
        line-height: 10px;
    }

    .text-success {
        color: #10c469;
    }

    .text-info {
        color: #62c9e8;
    }

    .text-warning {
        color: #FFC107;
    }

    .text-danger {
        color: #ff5b5b;
    }
</style>

<h2 class="maintitle"><i class="fa-solid fa-circle-exclamation" style="color: red;"></i> Sự cố vận hành</h2>
<hr />
<!--<div style="float:right;">-->
@*@Html.ActionLink("Tạo mới", "Create", null, null, new { @class = "btn btn-primary gradient", @style = "color:white;margin-right:15px;" })*@
<!--<a href="@Url.Action("Create")" class="btn btn-primary gradient" style="color: white; margin-right: 15px;"><i class="fa-solid fa-plus"></i> Tạo mới</a>-->
@*@Html.ActionLink("Xuất Excel", "ExportExcel", null, null, new { @class = "btn btn-primary gradient", @style = "color:white;" })*@
<!--<a href="@Url.Action("ExportExcel")" class="btn btn-primary gradient" style="color:white;"><i class="fa-solid fa-file-excel"></i> Xuất excel</a>
</div>-->
<p>
    @using (Html.BeginForm())
    {
        <div class="form-horizontal container">
            <div class="row justify-content-md-center">
                <div class="col col-lg-10">
                    <fieldset class="border p-2 w-auto">

                        <legend data-toggle="collapse" id="p2" data-target="#indexme_timkiem" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                            <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                            <span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>
                            Tìm kiếm
                        </legend>

                        <div id="indexme_timkiem" class="collapse in ">

                            <fieldset class="border p-2 p2">

                                <div id="SearchingFilter1" class="form-group row">

                                    <div class="input-daterange" id="datepicker">
                                        <div class="col">
                                            <div class="control-label col-sm-2">
                                                <label for="start">Từ ngày</label>
                                            </div>


                                            <div class="col-sm-4 date ">
                                                @*<input type="text" class="form-control" name="start">*@
                                                @Html.EditorFor(model => model.fromDate, new { htmlAttributes = new { @class = "form-control", @placeholder = "24/05/2022" } })
                                            </div>
                                        </div>

                                        <div class="col">
                                            <div class="control-label col-sm-2">
                                                <label for="end">Đến ngày</label>
                                            </div>


                                            <div class="col-sm-4  date">
                                                @*<input type="text" class="form-control" name="end">*@
                                                @Html.EditorFor(model => model.toDate, new { htmlAttributes = new { @class = "form-control", @placeholder = "24/05/2022" } })

                                            </div>


                                        </div>
                                    </div>
                                </div>

                            </fieldset>

                            <fieldset class="border p-2 p2 " style="border:none;background:none;">
                                <div class="form-group row">
                                    <div class="col">

                                        <div class="control-label col-sm-2">
                                            <label>Chọn trạng thái</label>
                                        </div>

                                        <div class="col-sm-4">

                                            @*@Html.EditorFor(model => model.status, new { htmlAttributes = new { @class = "form-control", @placeholder = "user1" } })*@
                                            @Html.DropDownListFor(x => x.status, new SelectList(ViewBag.EnumTrangThaiXuLy, "Name", "Name"), String.Empty, new { @class = "form-control" })
                                            @*@Html.DropDownList("Dropdown2", lstSelected, "Chọn người tạo")*@

                                            @*                                        <select class="form-control" id="StudentGender" name="StudentGender">
                                                    <option>Select Gender</option>
                                                    <option>Male</option>
                                                    <option>Female</option>
                                                </select>*@

                                        </div>
                                    </div>

                                    <div class="col col-sm-2" style="float: right;">
                                        @*<button type="button" class="btn btn-primary btn-block">  <i class="fas fa-search"></i>  </button>*@
                                        @*@Html.ActionLink("Filter", "Index", new { userCreate = Model.UserCreate, fromDate = Model.fromDate, toDate = Model.toDate }, new { @class = "fas fa-search" })*@
                                        <input type="submit" value="Lọc" class="btn btn-primary btn-block" style="min-width: 50px" />
                                    </div>

                                </div>
                            </fieldset>
                        </div>

                    </fieldset>
                </div>
                <div class="col col-lg-1">
                    @*@Html.ActionLink("Tạo mới", "Create", null, null, new { @class = "btn btn-primary gradient", @style = "color:white;" })*@
                    <a href="@Url.Action("Create")" class="btn btn-primary gradient" style="color:white;"><i class="fa-solid fa-plus"></i> Tạo mới</a>
                    <br />
                    @*@Html.ActionLink("Xuất Excel", "ExportExcel", null, null, new { @class = "btn btn-primary gradient", @style = "color:white;" })*@
                    <a href="@Url.Action("ExportExcel",null,new { fromDate = ViewBag.fromDate, toDate = ViewBag.toDate, status = ViewBag.status })" class="btn btn-primary gradient-export" style="color:white;"><i class="fa-solid fa-file-excel"></i> Xuất excel</a>
                    @*@Html.ActionLink("ExportExcel", "ExportExcel", new { fromDate = ViewBag.fromDate, toDate = ViewBag.toDate, status = ViewBag.status })*@

                </div>

            </div>
        </div>
    }
</p>

<div class="container">
    <div class="table-responsive">
        <table class="table table_danhsach">
            <thead>
                <tr>
                    <th>
                        STT
                    </th>
                    <th>
                        Ngày xảy ra sự cố
                    </th>

                    <th>
                        Mô tả sự cố
                    </th>


                    <th>
                        Trạng thái xử lý
                    </th>
                    <th>
                        Hồ sơ
                    </th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model.pagination)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.ThongtinSuCoID)
                        </td>

                        <td>
                            @Html.DisplayFor(modelItem => item.Ngayxayrasuco)
                        </td>

                        <td>
                            @Html.DisplayFor(modelItem => item.MoTaNganSuCo)
                        </td>

                        @*<td>
            @Html.DisplayFor(modelItem => item.NguoiMota)
        </td>*@

@*                    <td>
                        @Html.DisplayFor(modelItem => item.Cachkhacphuc)
                        <a href="@Url.Action("ViewCachkhacphucHistory", "ThongtinSuCoes", new { id = item.ThongtinSuCoID })" style="color: #FFC107">
                            <i class="fas fa-history">                                
                            </i>
                        </a>
                    </td>*@

                        <td>
                            @Html.DisplayFor(modelItem => item.Trangthaixuly)
                        </td>




                        <td>
                            <a href="http:\\@item.HoSo" target="_blank" rel="noopener noreferrer">@Html.DisplayFor(modelItem => item.HoSo)</a>
                        </td>


                        <td>
                            <a href="@Url.Action("Edit", "ThongtinSuCoes", new { id = item.ThongtinSuCoID })" style="color: #FFC107">
                                <i class="fa-solid fa-pencil">
                                </i>
                            </a>
                            <a href="@Url.Action("Details", "ThongtinSuCoes", new { id = item.ThongtinSuCoID })" style="color: #428bca">
                                <i class="fa-solid fa-eye">
                                </i>
                            </a>
                            <a href="@Url.Action("Delete", "ThongtinSuCoes", new { id = item.ThongtinSuCoID })" style="color: #E34724">
                                <i class="fa fa-trash">
                                </i>
                            </a>
                            <a href="@Url.Action("UploadFile", "UploadFile", new { id = item.ThongtinSuCoID })" style="color: #428bca">
                                <i class="fa fa-cloud-upload">
                                </i>
                            </a>
                        </td>

                    </tr>
                }
            </tbody>
        </table>

    </div>
</div>
<br />

<div class="row">
    <div class="col-sm-5" style="float:left">
        @(Model.pagination.TotalItemCount < 1 ? 0 : Model.pagination.FirstItemOnPage) - @Model.pagination.LastItemOnPage trong @Model.pagination.TotalItemCount dòng
    </div>

    <div class="col-sm-4" style="float:right;">
        @*Html.BeginForm run the HOME controller InvoiceList Action's GET method when form get submitted.*@
        @using (Html.BeginForm("Index", "ThongTinSuCoes", FormMethod.Get, new { id = "form1" }))
        {
            <div id='Paging' style="text-align: center">
                @*Dorpdownlist generation code*@
                @Html.DropDownList("pageSize", null, new { @style = "width:50px" }) dòng trên trang
            </div>
        }
    </div>
</div>


@Html.PagedListPager(Model.pagination, page => Url.Action("Index", new { page, pageSize = ViewBag.psize, fromDate = ViewBag.fromDate, toDate = ViewBag.toDate, status = ViewBag.status }), new PagedListRenderOptions()
{
    DisplayLinkToFirstPage = PagedListDisplayMode.Always,
    DisplayLinkToPreviousPage = PagedListDisplayMode.Always,
    DisplayLinkToLastPage = PagedListDisplayMode.Always,
    DisplayLinkToNextPage = PagedListDisplayMode.Always,
    MaximumPageNumbersToDisplay = 5, // number of pages in line
    DisplayEllipsesWhenNotShowingAllPageNumbers = true
})
@*<div>   Tổng số mẻ là @ViewBag.total</div>*@

<script>
    $(function () {
        $("#status").chosen({ placeholder_text_single: "Chọn trạng thái", allow_single_deselect: true });
    });
    $("#pageSize").change(function () {
        $("#form1").submit();
    });

    $('#SearchingFilter1 .input-daterange').datepicker({
        format: "dd/mm/yyyy",
        weekStart: 0,
        startDate: "-1y",
        endDate: "now",
        maxViewMode: 2,
        locale: 'vi',
        todayBtn: "linked",
        clearBtn: true,
        language: "vi",
        daysOfWeekHighlighted: "0",
        autoclose: true
    });
</script>

@*khong cho back *@
@*<script type="text/javascript">
    function disableBack() { window.history.forward(); }
    setTimeout("disableBack()", 0);
    window.onunload = function () { null };
</script>*@

@* COLLAPSE BUTTON BOOTSTRAP3.0 *@
<script>

    var toggler = document.querySelectorAll('[data-toggle="collapse"]');
    var i;
    for (i = 0; i < toggler.length; i++) {
        toggler[i].addEventListener("click", function () {
            this.ariaExpanded = !JSON.parse(this.ariaExpanded);
        });
    }

</script>